---
title: Events
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Events
---

# Events

The Event Management API allows you to programmatically post events to the Events Explorer and fetch events from the Events Explorer. See the [Event Management page](https://docs.datadoghq.com/service_management/events.md) for more information.

**Update to Datadog monitor events `aggregation_key` starting March 1, 2025:** The Datadog monitor events `aggregation_key` is unique to each Monitor ID. Starting March 1st, this key will also include Monitor Group, making it unique per *Monitor ID and Monitor Group*. If you're using monitor events `aggregation_key` in dashboard queries or the Event API, you must migrate to use `@monitor.id`. Reach out to [support](https://www.datadoghq.com/support/) if you have any question.

## Get a list of events →{% #get-a-list-of-events %}

| Datadog site      | API endpoint                                    |
| ----------------- | ----------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/events |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/events |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/events      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/events      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/events  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/events     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/events |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/events |

## Get an event →{% #get-an-event %}

| Datadog site      | API endpoint                                               |
| ----------------- | ---------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/events/{event_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/events/{event_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/events/{event_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/events/{event_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/events/{event_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/events/{event_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/events/{event_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/events/{event_id} |

## Post an event →{% #post-an-event %}

| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://event-management-intake.ap1.datadoghq.com/api/v2/events |
| ap2.datadoghq.com | POST https://event-management-intake.ap2.datadoghq.com/api/v2/events |
| app.datadoghq.eu  | POST https://event-management-intake.datadoghq.eu/api/v2/events      |
| app.ddog-gov.com  | POST https://event-management-intake.ddog-gov.com/api/v2/events      |
| us2.ddog-gov.com  | POST https://event-management-intake.us2.ddog-gov.com/api/v2/events  |
| app.datadoghq.com | POST https://event-management-intake.datadoghq.com/api/v2/events     |
| us3.datadoghq.com | POST https://event-management-intake.us3.datadoghq.com/api/v2/events |
| us5.datadoghq.com | POST https://event-management-intake.us5.datadoghq.com/api/v2/events |

## Search events →{% #search-events %}

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/events/search |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/events/search |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/events/search      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/events/search      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/events/search  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/events/search     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/events/search |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/events/search |
